Skip to main content
GET
/
v1
/
time-off
/
requests
/
count
Get Time Off Requests Count
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/time-off/requests/count \
  --header 'Authorization: Bearer <token>'
{
  "count": 123
}
Get the total count of time off requests for the current filters.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

providerId
string<uuid>

Filter to requests for a specific provider.

teamId

Filter to requests for providers in specific teams.

policyId

Filter to requests for specific policies.

startDate
string

Filter to requests whose start date is on or after the given timestamp.

Example:

"2024-11-20T07:43:34+0000"

endDate
string

Filter to requests whose end date is earlier than the provided timestamp.

Example:

"2024-11-20T07:43:34+0000"

status
enum<string>
Available options:
pending,
approved,
rejected,
cancelled
Example:

"approved"

query
string
expand
string

Available expansions: policy, provider, rejectedBy

See Query Parameters for more information on expansions.

sort
string

Available fields: createdAt, startDate

See Query Parameters for more information on sorting.

Response

count
number
required